Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.stats
Class MemUsage

    java.lang.Object
      org.apache.lucene.benchmark.stats.MemUsage

    public class MemUsage

extends Object

This class holds a set of memory usage values.

Field Summary
`long` | `avgFree`
`long` | `avgTotal`
`long` | `maxFree`
`long` | `maxTotal`
`long` | `minFree`
`long` | `minTotal`

Constructor Summary
`MemUsage()`

Method Summary
`String` | `toScaledString(int div, String unit)` Scale down the values by divisor, append the unit string.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### maxFree

    public long maxFree

### minFree

    public long minFree

### avgFree

    public long avgFree

### maxTotal

    public long maxTotal

### minTotal

    public long minTotal

### avgTotal

    public long avgTotal

Constructor Detail

### MemUsage

    public MemUsage()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toScaledString

    public String toScaledString(int div,
                                 String unit)

  Scale down the values by divisor, append the unit string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.